[jira] [Commented] (VELOCITY-878) commons collections is required at run time

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

[jira] [Commented] (VELOCITY-878) commons collections is required at run time

JIRA jira@apache.org

    [ https://issues.apache.org/jira/browse/VELOCITY-878?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15735420#comment-15735420 ]

Claude Brisson commented on VELOCITY-878:
-----------------------------------------

Don't apologize! Your ticket made us realize we were keeping wicked references towards ExtendedProperties elsewhere...

> commons collections is required at run time
> -------------------------------------------
>
>                 Key: VELOCITY-878
>                 URL: https://issues.apache.org/jira/browse/VELOCITY-878
>             Project: Velocity
>          Issue Type: Bug
>          Components: Engine
>    Affects Versions: 2.0
>            Reporter: Mary Helm
>            Assignee: Claude Brisson
>
> The Velocity upgrading page states that •commons-lang, commons-collections and commons-logging aren't needed any more at runtime.
> However, commons collections is still required.  Here is the error received when using the latese version (4.1) of commons-collections jar:
> Exception in thread "main" java.lang.NoClassDefFoundError: org/apache/commons/collections/ExtendedProperties
> at org.apache.velocity.runtime.RuntimeInstance.<init>(RuntimeInstance.java:175)
> at org.apache.velocity.app.VelocityEngine.<init>(VelocityEngine.java:60)
> ...
> ...
> Caused by: java.lang.ClassNotFoundException: org.apache.commons.collections.ExtendedProperties
> at java.net.URLClassLoader.findClass(Unknown Source)
> at java.lang.ClassLoader.loadClass(Unknown Source)
>  



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]